/*
 *
 *    ******************************************************************************
 *    *
 *    * This program and the accompanying materials are made available under the
 *    * terms of the Apache License, Version 2.0 which is available at
 *    * https://www.apache.org/licenses/LICENSE-2.0.
 *    *
 *    *  See the NOTICE file distributed with this work for additional
 *    *  information regarding copyright ownership.
 *    * Unless required by applicable law or agreed to in writing, software
 *    * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 *    * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 *    * License for the specific language governing permissions and limitations
 *    * under the License.
 *    *
 *    * SPDX-License-Identifier: Apache-2.0
 *    *****************************************************************************
 *
 */

package net.brutex.ai.dnn.conf.layer;

import net.brutex.ai.dnn.api.IModel;
import net.brutex.ai.dnn.api.INeuralNetworkConfiguration;
import net.brutex.ai.dnn.api.ILayerConfiguration;
import org.junit.jupiter.api.Test;

class FFLayerTest {

  @Test
  void instantiate() {
    ILayerConfiguration ff_conf = FeedForwardLayerConfiguration.builder().build();
    INeuralNetworkConfiguration net_conf = net.brutex.ai.dnn.conf.NeuralNetworkConfiguration.builder()
        .layerConfiguration(ff_conf)
        .build();
    IModel network = net.brutex.ai.dnn.impl.network.NeuralNetwork.builder().name("Test Network")
        .configuration(net_conf)
        .build();
    ff_conf.instantiate(network);

  }

  @Test
  void getOutputType() {
  }
}